Identity Provider API, REST: User.Create
Creates a user in the specified userpool.
HTTP request
POST https://organization-manager.api.yandexcloud.kz/organization-manager/v1/idp/users
Body parameters
{
"userpoolId": "string",
"username": "string",
"fullName": "string",
"givenName": "string",
"familyName": "string",
"email": "string",
"phoneNumber": "string",
// Includes only one of the fields `passwordSpec`, `passwordHash`
"passwordSpec": {
"password": "string",
"generationProof": "string"
},
"passwordHash": {
"passwordHash": "string",
"passwordHashType": "string"
},
// end of the list of possible fields
"isActive": "boolean",
"externalId": "string",
"companyName": "string",
"department": "string",
"jobTitle": "string",
"employeeId": "string"
}
Request to create a new user.
|
Field |
Description |
|
userpoolId |
string Required field. ID of the userpool to create the user in. The maximum string length in characters is 50. |
|
username |
string Required field. Username for the new user. The maximum string length in characters is 254. Value must match the regular expression |
|
fullName |
string Required field. Full name of the user. The maximum string length in characters is 256. |
|
givenName |
string First name of the user. The maximum string length in characters is 256. |
|
familyName |
string Last name of the user. The maximum string length in characters is 256. |
|
|
string Email address of the user. The maximum string length in characters is 254. Value must match the regular expression |
|
phoneNumber |
string Phone number of the user. The maximum string length in characters is 50. |
|
passwordSpec |
Password specification. Credentials type. Exactly one of credentials type must be specified. Includes only one of the fields User credentials. |
|
passwordHash |
Password hash. Credentials type. Exactly one of credentials type must be specified. Includes only one of the fields User credentials. |
|
isActive |
boolean Whether the user is active. Default is true. |
|
externalId |
string External identifier for the user. The maximum string length in characters is 256. |
|
companyName |
string User's company name. The maximum string length in characters is 256. |
|
department |
string User's department. The maximum string length in characters is 256. |
|
jobTitle |
string User's job title. The maximum string length in characters is 256. |
|
employeeId |
string User's employee ID The maximum string length in characters is 256. |
PasswordSpec
Password specification.
|
Field |
Description |
|
password |
string Required field. The password string. The maximum string length in characters is 128. |
|
generationProof |
string Proof that the password was generated by the system. The maximum string length in characters is 128. |
PasswordHash
Password hash information.
|
Field |
Description |
|
passwordHash |
string Required field. The password hash string. The maximum string length in characters is 128. |
|
passwordHashType |
enum (PasswordHashType) Required field. Type of the password hash.
|
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |